diff --git a/lib/raid6/Makefile b/lib/raid6/Makefile
index c7dab06..0faf340 100644
--- a/lib/raid6/Makefile
+++ b/lib/raid6/Makefile
@@ -11,7 +11,7 @@ raid6_pq-$(CONFIG_TILEGX) += tilegx8.o
 hostprogs-y    += mktables
 
 quiet_cmd_unroll = UNROLL  $@
-      cmd_unroll = $(AWK) -f$(srctree)/$(src)/unroll.awk -vN=$(UNROLL) \
+      cmd_unroll = $(AWK) -f $(srctree)/$(src)/unroll.awk -v N=$(UNROLL) \
                    < $< > $@ || ( rm -f $@ && exit 1 )
 
 ifeq ($(CONFIG_ALTIVEC),y)
 
diff --git a/scripts/Makefile.lib b/scripts/Makefile.lib
index 79c059e..bc43d82 100644
--- a/scripts/Makefile.lib
+++ b/scripts/Makefile.lib
@@ -282,7 +282,7 @@ dtc-tmp = $(subst $(comma),_,$(dot-target).dts.tmp)
 size_append = printf $(shell                                           \
 dec_size=0;                                                            \
 for F in $1; do                                                                \
-       fsize=$$(stat -c "%s" $$F);                                     \
+       fsize=$$(stat -f "%z" $$F);                                     \
        dec_size=$$(expr $$dec_size + $$fsize);                         \
 done;                                                                  \
 printf "%08x\n" $$dec_size |                                           \

diff --git a/scripts/Makefile.modpost b/scripts/Makefile.modpost
index 69f0a14..0e4b902 100644
--- a/scripts/Makefile.modpost
+++ b/scripts/Makefile.modpost
@@ -60,7 +60,7 @@ kernelsymfile := $(objtree)/Module.symvers
 modulesymfile := $(firstword $(KBUILD_EXTMOD))/Module.symvers
 
 # Step 1), find all modules listed in $(MODVERDIR)/
-MODLISTCMD := find $(MODVERDIR) -name '*.mod' | xargs -r grep -h '\.ko$$' | sort -u
+MODLISTCMD := find $(MODVERDIR) -name '*.mod' | /opt/local/bin/gxargs -r grep -h '\.ko$$' | sort -u
 __modules := $(shell $(MODLISTCMD))
 modules   := $(patsubst %.o,%.ko, $(wildcard $(__modules:.ko=.o)))
 
 diff --git a/drivers/uio/Kconfig b/drivers/uio/Kconfig
index 5a90914..1678387 100644
--- a/drivers/uio/Kconfig
+++ b/drivers/uio/Kconfig
@@ -106,10 +106,10 @@ config UIO_NETX
 
 config UIO_PRUSS
        tristate "Texas Instruments PRUSS driver"
-       depends on ARCH_DAVINCI_DA850
+       depends on ARCH_DAVINCI_DA850 || SOC_AM33XX
        select GENERIC_ALLOCATOR
        help
-         PRUSS driver for OMAPL138/DA850/AM18XX devices
+         PRUSS driver for OMAPL138/DA850/AM18XX/AM33XX devices
          PRUSS driver requires user space components, examples and user space
          driver is available from below SVN repo - you may use anonymous login

diff --git a/scripts/mod/modpost.h b/scripts/mod/modpost.h
index 51207e4..431bd22 100644
--- a/scripts/mod/modpost.h
+++ b/scripts/mod/modpost.h
@@ -7,7 +7,7 @@
 #include <sys/mman.h>
 #include <fcntl.h>
 #include <unistd.h>
-#include <elf.h>
+#include "elf.h"
 
 #include "elfconfig.h"
 
diff --git a/scripts/recordmcount.c b/scripts/recordmcount.c
index 9c22317..f6a1858 100644
--- a/scripts/recordmcount.c
+++ b/scripts/recordmcount.c
@@ -25,7 +25,7 @@
 #include <sys/mman.h>
 #include <sys/stat.h>
 #include <getopt.h>
-#include <elf.h>
+#include "elf.h"
 #include <fcntl.h>
 #include <setjmp.h>
 #include <stdio.h>
diff --git a/scripts/sortextable.c b/scripts/sortextable.c
index cc49062..209c6c0 100644
--- a/scripts/sortextable.c
+++ b/scripts/sortextable.c
@@ -20,7 +20,7 @@
 #include <sys/mman.h>
 #include <sys/stat.h>
 #include <getopt.h>
-#include <elf.h>
+#include "elf.h"
 #include <fcntl.h>
 #include <setjmp.h>
 #include <stdio.h>
 
